

# Évolutions

### Implémentation du GetFeatureInfo

#### Pour l'interrogation

L’administrateur aura déterminé à l’avance quels sont les calques interrogeables via GetFeatureInfo (voir partie administration), lors du dépliage du volet de gauche pour les calques définis comme interrogeables GetFeatureInfo une nouvelle boite à cocher apparaîtra et permettra à l’utilisateur de définir si le calque ainsi que ses couches seront interrogés.

![Selection couches GetFeatureInfo](images/mode_carto_2.jpg)

Depuis le mode cartographie, il suffira de cliquer sur la carte pour interroger toutes les couches actives au GetFeatureInfo. L'administrateur pourra définir à l'avance les couches interrogeables depuis le mode **calques et cartes** et l'utilisateur pourra à tout moment cocher/dé-cocher les couches interrogeables depuis le menu **jeux de données** situé sur la gauche.

![Utilisation GetFeatureInfo dans vMap](images/mode_carto.jpg)


#### Pour la publication

Les couches publiées vont pouvoir générer des ŕesultats GetFeatureInfo visualisables sur vMap, QGIS, FME etc.. Pour administrer les templates un bouton **Template GetFeatureInfo** va permettre d'éditer, **générer** et enregistrer le fichier au format HTML sur le serveur.

![Administration couche GetFeatureInfo](images/admin_couche_2.jpg)


### Nouveaux formats d'impression

Désormais les modèles d'impressions A2, A1 et A0 sont disponibles


### Choix du fuseau horaire et du format d'affichage des dates

L'utilisateur peut désormais spécifier son fuseau horaire et son format d'affichage des dates. Pour l'utiliser l'administrateur pourra utiliser la fonction s_vitis.format_date() dans les vues ou dans les champs SQL Summary et SQl List du formulaire objets métiers


### Amélioration du formulaire des calques

L'administrateur peut maintenant lors d'une mise à jour d'un calque modifier le service associé, lors du changement une vérification sur les couches présentes est effectuée


### Ajout de l'étendue dans le flux par défaut

Pour utiliser les flux générés par vMap sur un service externe comme QGIS il faut éfinir une étendue au flux WMS, désormais cette étendue sera fournie dans le flux WMS généré lors de l'installation de l'application


### Amélioration de la recherche par adresse DGFIP

Dans le module cadastre, lors d'une recherche par adresse DGFIP le type de voie apparaît désormais dans la liste


### Page blanche en fin de fiche d'urbanisme

Dans une fiche d'urbanisme générée par vMap on n'affichera plus une page blanche en fin de document


### Amélioration du formulaire objets métiers

Les champs **Base de données**, **Schema**, **Table**, **Identifiant** sont désormais convertis en listes déroulantes éditables, et des boutons permettant de recharger les valeurs ont été ajoutés

![Administration couche GetFeatureInfo](images/admin_bo.jpg)


### Amélioration du système de mises à jour

Pendant une mise à jour certains fichiers modifiés manuellement par l'administrateur sur le serveur étaient supprimés, désormais ces fichiers sont conservés dans leur état actuel et une version [nom du fichier].veremes contenant la nouvelle version est créée.

Ce fonctionnement est appliqué pour les fichiers/dossiers suivants:
- Fichiers utilisés par MapServer
    - **vmap/vas/ws_data/vm4ms/map/symbols**
    - **vmap/vas/ws_data/vm4ms/map/fonts**
- Fichiers de personnalisation de l'interface
    - **vmap/client/conf/properties.json**
    - **vmap/client/conf/less/variables.less**




# Anomalies

- Fiche descriptive : conservation de la position de la *scrollbar* lors de la ré-ouverture
- Le logo de chargement ne s'affiche pas correctement lorsqu'on change de carte
- Dans la fenêtre « Cartes » aucune carte apparaît quand on filtre par un thème avec accent
- Dans la fenêtre « Cartes » mettre la description en *title* au lieu du nom de la carte
- Dans la fenêtre « Cartes » classer par ordre alphabétique la liste des thèmes
- Lenteurs lors de l'affichage de l'ouverture de la fenêtre d'impressions
- Impression : « style » à la place de « styles »
- Impression : classer la liste « style » par ordre alphabétique
- Fiche urbanisme : si on ne définit pas de colonne intersection le pourcentage s'écrit quand même
- Fiche urbanisme : l'ordre des colonnes intersectées n'est pas respecté en fonction de ce qui est mis en properties
- Outil de localisation d'une géométrie avec un système de projection différent de celui de la carte ne fonctionne pas
- Objets métiers : impossible d'afficher une image principale dans l'infobulle en tant que [bo_image] si la colonne ne s'appelle pas "image"
- Requêteur : les calques non visibles sont interrogés
- Problème de nom lors de la création d'une nouvelle carte depuis la modale Gestion des cartes
- Export du panier : les deux premières colonnes sont vides
- Jeux de données : couches d'un calque non administrables si le calque est filtrable
- Problème de sélection objet métier quand il y a un filtre sur la couche avec liste à choix multiples
- Accrochage : lors d'une insertion seuls les objets métiers avec des droits en insertion sont accrochables au lieu de prendre ceux en droits de sélection
- Panier : problème d'affichage quand aucun rapport n'est disponible
- MapServer : l'utilisation des formats tif et jp2 ne fonctionne pas correctement
- Problème d'affichage si un formulaire de filtre d'un calque dépasse la taille de l'écran
- Correction d'anomalies lors de l'utilisation du SMTP pour la création de comptes ouvertes au public et les fonctionnaliés de mot de passe oublié
- Prblème d'affichage si un utilisateur se retrouve avec les privilèges *veremes_cadastre_user* et *veremes_cadastre_light_user*
- Erreur lors que le compte admin modifie son mot de passe
- L'export VEX ne fonctionne pas quand u_vitis n'est pas en trust
